آیا می توان افزونه های تست نشده را بر سایت وردپرسی نصب کرد؟

افزونه های تست نشده

با سلام خدمت دوستان عزیز وردپرسی! مقاله امروز را به این سوال که آیا باید افزونه های تست نشده و ناسازگار را نصب کرد؟ اختصاص داده ایم.
برای اغلب کاربران وردپرسی هنگام نصب افزونه همواره چنین سوالاتی پیش آمده است که وقتی افزونه‌ای تست نشده است آیا از آن باید استفاده کرد یا خیر؟! آیا با نصب آن به مشکلی بر خواهم خورد یا خیر؟! و..و..و..
در این مقاله قصد دارم تا در رابطه با موضوع افزونه های تست نشده با شما صحبت کنم. در شرایط متعدد و مواجه شدن با چنین مشکلی چه کاری درست است تا آن را انجام دهیم.
هنگامی که قصد نصب افزونه‌ای را از مخزن وردپرس دارید با پیغام با نگارش وردپرس شما آزمایش نشده است مواجه شده‌اید.

افزونه های تست نشده

افزونه های تست نشده

قبل از اینکه به بحث و بررسی در رابطه با افزونه های تست نشده بپردازیم باید ببینیم که این پیغام به چه شکلی نمایش داده می‌شود. همانطور که می‌دانید مخزن وردپرس به عنوان بزرگترین بانک اطلاعاتی برای دانلود افزونه‌ها می‌باشد که میتوان در آن به افزونه‌های مورد نیاز دسترسی پیدا کرد. نویسندگان افزونه‌ها نیز ملزم به رعایت این هستند تا نسخه افزونه و اطلاعات ان را به‌روزرسانی کنند، پیغام آزمایش نشدن یک افزونه نیز در فایلی به نام readme قرار دارد، حال چون نویسندگان این فایل را به روزرسانی نمی‌کنند به همین دلیل نمیتوان اطمینان کاملی داشت که آیا افزونه مورد نظر سازگاری خواهد داشت یا خیر!

فایل Readme شامل تگ “تست شده تا …” برای نمایش اطلاعات می‌باشد که انتظار میرود نویسندگان پلاگین برای حفظ این اطلاعات در هر بروزرسانی آن را نیز آپدیت کنند. به زبان ساده‌تر بخواهیم بگوییم میتوان این عدم به‌روزرسانی را نوعی کم‌کاری تلقی کرد!!

چرا نویسندگان این فایل را به‎روز نمی‌کنند؟!

از آنجایی که وردپرس یک سیستم مدیریت محتوای رایگان می‌باشد، نویسندگان تمایل زیادی به این ندارند که افزونه‌هایی را که در مخزن وردپرس منتظر می‌کنند در هر بار به‌روزرسانی به صورت کامل آپدیت کنند. از طرف دیگر استفاده‌کنندگان از افزونه نیز هیچگاه این حق را ندارند که از نویسنده‌ای بخواهند همه آنچه را که لازم است دقیق اجام دهند. چرا که چنین مسئولیتی بر عهده نویسنده نیست و مامور این نیست که بخواهد به درخواست‌های کسی پاسخ دهد. شاید با این اوصاف تلقی کنید که این کار نوعی خودخواهی باشد، اما برای درک بهتر موضوع کافی است تا خود را به جای نویسنده بگذارید. خصوصا در وب فارسی که قوانین کپی‌رایت به درستی رعایت نمی‌شوند و برنامه‌نویسان این حوزه با مشکلات جدی مواجه هستند که به راحتی سایرین زحمات آنان را با عدم رعایت حقوق نویسنده زیر سوال می‎برند.

آیا باید افزونه های تست نشده را نصب کرد؟

در پاسخ به این سوال نمی‎توان به صورت قاطعی نظر داد، چرا که از یک طرف این احتمال وجود دارد که فایل Readme به‌روز نباشد در صورتی که افزونه کاملا سازگاری دارد، و از طرفی ممکن است اصلا افزونه سازگاری نداشته باشد و با آن به مشکل بر بخوریم!

اما راه‌هایی برای این کار وجود دارند که آیا افزونه را نصب کنیم یا نه؛ از جمله آنها میتوان به معرفی افزونه در سایت‌های مختلفی همچون همیار وردپرس اشاره نمود، چرا که افزونه‌های معرفی شده کاملا تست شده هستند و اگر دارای کوچکترین مشکلی برای فارسی زبانان باشند به معرفی آن اقدام نخواهد شد، اگر هم افزونه‌ای معرفی گردد حتما بخش ناسازگار آن ذکر خواهد شد.

از سوی دیگر وقتی می‌بینید افزونه‎ای بیش از دو سال است که به‌روزرسانی بر روی آن صورت نگرفته است باید آن را رها شده تلقی کرد و استفاده از آن را به هیچ وجه پیشنهاد نمی‌کنم و باید دنبال افزونه دیگری با کارکرد مشابه باشید.

در مقابل این احتمال نیز وجود دارد که افزونه‌ای با گذشت بیش از چند سال از به‌روزرسانی کاملا با نسخه وردپرس سازگار بوده و کارکرد خود را به درستی انجام دهد که برای دست یافتن به چنین افزونه‌هایی میرسیم به همان راه معرفی توسط وبسایت‌ها تا برای استفاده از آنها اطمینان لازم را داشته باشیم.

از دست ما کمکی بر می‌آید؟!

همانطور که اشاره کردم وردپرس نیز یک دنیای متن باز می‌باشد و هر کس که در این دنیای متن باز و رایگان فعالیتی دارد می‎توان حس مسئولیتی را در خود ایجاد کند. و با کوچکترین کمکی که در توان دارد در جهت کمک به سایرین اقدام کند، چرا که این سایرین هستند که با نصب، بررسی و استفاده از افزونه‌ای کارکرد آن را بررسی و اعلام می‌کنند.

پس وقتی از افزونه‌ای که به عنوان یک افزونه ناسازگار با ورژن فعلی شما تلقی شده است استفاده می‌کنید، این انتظار از شما میرود که با کمک خود سازگاری آن را اعلام کنید، ما در جامعه وردپرس در کنار هم هستیم تا به یکدیگر کمک کنیم 🙂 .

آماده کمک کردن شده‌اید؟!

برای شروع کار ابتدا به وبسایت wordpress.org مراجعه کرده و در آن ثبت نام کنید، سپس با نام کاربری و کلمه عبور انتخابی آن وارد شوید. مطابق تصویر زیر اگر در صفحه هر افزونه به سمت پایین اسکرول کنید در بخشی از آن خواهید دید که امکانی تعبیه شده است که در آن می‌توانید نسخه‌ای که از افزونه را استفاده کرده‌اید را به همراه نسخه وردپرس خود انتخاب کرده و در نهایت با کلیک بر روی دکمه works سازگاری آن را اعلام کنید و یا در صورت عدم ناسازگاری بر روی دکمه Broken کلیک کنید.

افزونه های تست نشده

پس همانطور که دیدید شما نیز می‌توانید در جهت پیشرفت وردپرس موثر بوده و کمک کنید.

وقتی ناسازگاری افزونه اعلام شود چه اتفاقی رخ می‎دهد؟

وقتی شما ناسازگاری یکی افزونه ها یا افزونه های تست نشده را اعلام می‌کنید سایر گزارش‌های مربوطه را بسته به نسخه افزونه و نسخه وردپرس خواهید دید که با مطالعه آنها می‌توانید دلیل ناسازگاری را یافته و اگر موردی مشابه با دلیل ناسازگاری در سایت شما بود، از جمله ناسازگاری با افزونه دیگر و.. در جهت رفع آن اقدام کنید.

اما در غیر این صورت می‌توانید اطلاعات نویسنده افزونه را یافته و دلیل ناسازگاری را نیز برای وی ارسال کنید تا در به‌روزرسانی بعدی در صدد رفع آن برآید.

منبع: wpbeginner

نوشته آیا می توان افزونه های تست نشده را بر سایت وردپرسی نصب کرد؟ اولین بار در همیار وردپرس پدیدار شد.

شاید این مطالب را هم دوست داشته باشید